<?php
// +-----------------------------------------------------------------------+
// | pwgCumulus  - a plugin for Piwigo                                     |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) {
  die('Hacking attempt!');
}

define('PWG_CUMULUS_PLUGIN_NAME', 'Cumulus Tags Cloud');
define('PWG_CUMULUS_PLUGIN_ROOT', dirname(__FILE__));
define('PWG_CUMULUS_PLUGIN_LANG', PWG_CUMULUS_PLUGIN_ROOT . '/');
define('PWG_CUMULUS_PLUGIN_TEMPLATE', PWG_CUMULUS_PLUGIN_ROOT . '/template');
define('PWG_CUMULUS_PLUGIN_CSS', PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)). '/css');
define('PWG_CUMULUS_PLUGIN_JS', PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)). '/js');
define('PWG_CUMULUS_PLUGIN_SWF', PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)). '/swf');
define('PWG_CUMULUS_PLUGIN_IMGS', PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)). '/imgs');

include_once "include/pwgCumulusConfig.class.php";

load_language('plugin.lang', PWG_CUMULUS_PLUGIN_LANG);

$plugin_config = new pwgCumulusConfig(PWG_CUMULUS_PLUGIN_ROOT, PWG_CUMULUS_PLUGIN_NAME);
$plugin_config->load_config();

if (defined('IN_ADMIN')) { 
  add_event_handler('get_admin_plugin_menu_links', array($plugin_config, 'plugin_admin_menu')); 
} else {
  include_once PWG_CUMULUS_PLUGIN_ROOT . '/public.php';
}

set_plugin_data($plugin['id'], $plugin_config);
?>